import json
from tqdm import tqdm 
with open('full.jsonl', 'r') as json_file:
    json_list = list(json_file)
with open('new_2k.jsonl', 'w') as f:
    for j, json_str in tqdm(enumerate(json_list)):
        problem = json.loads(json_str)
        problem['gold'] = problem.pop('code')
        f.write(json.dumps(problem) + "\n")